<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::avs::speakerConstants Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">avs</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html">speakerConstants</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::avs::speakerConstants Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a79b2cf2cf3f94c52de9557874d4014f4"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a79b2cf2cf3f94c52de9557874d4014f4">AVS_SET_VOLUME_MIN</a> = 0</td></tr>
<tr class="memdesc:a79b2cf2cf3f94c52de9557874d4014f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS setVolume Minimum.  <a href="#a79b2cf2cf3f94c52de9557874d4014f4">More...</a><br /></td></tr>
<tr class="separator:a79b2cf2cf3f94c52de9557874d4014f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6405122107afaf3adb0373ad9ce736ab"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">AVS_SET_VOLUME_MAX</a> = 100</td></tr>
<tr class="memdesc:a6405122107afaf3adb0373ad9ce736ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS setVolume Maximum.  <a href="#a6405122107afaf3adb0373ad9ce736ab">More...</a><br /></td></tr>
<tr class="separator:a6405122107afaf3adb0373ad9ce736ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5451bad2815d091c699efa9d2845c22"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#af5451bad2815d091c699efa9d2845c22">AVS_ADJUST_VOLUME_MIN</a> = -100</td></tr>
<tr class="memdesc:af5451bad2815d091c699efa9d2845c22"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS adjustVolume Minimum.  <a href="#af5451bad2815d091c699efa9d2845c22">More...</a><br /></td></tr>
<tr class="separator:af5451bad2815d091c699efa9d2845c22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a218fbc357e2021068526453721bc293f"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a218fbc357e2021068526453721bc293f">AVS_ADJUST_VOLUME_MAX</a> = 100</td></tr>
<tr class="memdesc:a218fbc357e2021068526453721bc293f"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS adjustVolume Maximum.  <a href="#a218fbc357e2021068526453721bc293f">More...</a><br /></td></tr>
<tr class="separator:a218fbc357e2021068526453721bc293f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48d3ac54cfa29e7eb471a2e3110785e9"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a48d3ac54cfa29e7eb471a2e3110785e9">MIN_UNMUTE_VOLUME</a> = 10</td></tr>
<tr class="memdesc:a48d3ac54cfa29e7eb471a2e3110785e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default unmute volume level.  <a href="#a48d3ac54cfa29e7eb471a2e3110785e9">More...</a><br /></td></tr>
<tr class="separator:a48d3ac54cfa29e7eb471a2e3110785e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a218fbc357e2021068526453721bc293f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a218fbc357e2021068526453721bc293f">&#9670;&nbsp;</a></span>AVS_ADJUST_VOLUME_MAX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::avsCommon::avs::speakerConstants::AVS_ADJUST_VOLUME_MAX = 100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AVS adjustVolume Maximum. </p>

</div>
</div>
<a id="af5451bad2815d091c699efa9d2845c22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5451bad2815d091c699efa9d2845c22">&#9670;&nbsp;</a></span>AVS_ADJUST_VOLUME_MIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::avsCommon::avs::speakerConstants::AVS_ADJUST_VOLUME_MIN = -100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AVS adjustVolume Minimum. </p>

</div>
</div>
<a id="a6405122107afaf3adb0373ad9ce736ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6405122107afaf3adb0373ad9ce736ab">&#9670;&nbsp;</a></span>AVS_SET_VOLUME_MAX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::avsCommon::avs::speakerConstants::AVS_SET_VOLUME_MAX = 100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AVS setVolume Maximum. </p>

</div>
</div>
<a id="a79b2cf2cf3f94c52de9557874d4014f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79b2cf2cf3f94c52de9557874d4014f4">&#9670;&nbsp;</a></span>AVS_SET_VOLUME_MIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::avsCommon::avs::speakerConstants::AVS_SET_VOLUME_MIN = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AVS setVolume Minimum. </p>

</div>
</div>
<a id="a48d3ac54cfa29e7eb471a2e3110785e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48d3ac54cfa29e7eb471a2e3110785e9">&#9670;&nbsp;</a></span>MIN_UNMUTE_VOLUME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int8_t alexaClientSDK::avsCommon::avs::speakerConstants::MIN_UNMUTE_VOLUME = 10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default unmute volume level. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
